package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/SkdBusnissInfo.class */
public class SkdBusnissInfo implements RecordInterface {
    private String skdBsnsCorName;
    private String skdBsnsOrgcode;
    private String skdContactName;
    private String skdLoanProcess;
    private String skdType;
    private String skdLoanBranch;
    private String skdApplyAmt;
    private String skdAproBaAmt;
    private String skdLoanAmt;
    private String skdLoanDate;
    private String skdRepayDate;
    private String skdCenterBaDate;
    private String skdLoanNo;
    private String skdRemark;

    public String getSkdBsnsCorName() {
        return this.skdBsnsCorName;
    }

    public void setSkdBsnsCorName(String skdBsnsCorName) {
        this.skdBsnsCorName = skdBsnsCorName;
    }

    public String getSkdBsnsOrgcode() {
        return this.skdBsnsOrgcode;
    }

    public void setSkdBsnsOrgcode(String skdBsnsOrgcode) {
        this.skdBsnsOrgcode = skdBsnsOrgcode;
    }

    public String getSkdContactName() {
        return this.skdContactName;
    }

    public void setSkdContactName(String skdContactName) {
        this.skdContactName = skdContactName;
    }

    public String getSkdLoanProcess() {
        return this.skdLoanProcess;
    }

    public void setSkdLoanProcess(String skdLoanProcess) {
        this.skdLoanProcess = skdLoanProcess;
    }

    public String getSkdType() {
        return this.skdType;
    }

    public void setSkdType(String skdType) {
        this.skdType = skdType;
    }

    public String getSkdLoanBranch() {
        return this.skdLoanBranch;
    }

    public void setSkdLoanBranch(String skdLoanBranch) {
        this.skdLoanBranch = skdLoanBranch;
    }

    public String getSkdApplyAmt() {
        return this.skdApplyAmt;
    }

    public void setSkdApplyAmt(String skdApplyAmt) {
        this.skdApplyAmt = skdApplyAmt;
    }

    public String getSkdAproBaAmt() {
        return this.skdAproBaAmt;
    }

    public void setSkdAproBaAmt(String skdAproBaAmt) {
        this.skdAproBaAmt = skdAproBaAmt;
    }

    public String getSkdLoanAmt() {
        return this.skdLoanAmt;
    }

    public void setSkdLoanAmt(String skdLoanAmt) {
        this.skdLoanAmt = skdLoanAmt;
    }

    public String getSkdLoanDate() {
        return this.skdLoanDate;
    }

    public void setSkdLoanDate(String skdLoanDate) {
        this.skdLoanDate = skdLoanDate;
    }

    public String getSkdRepayDate() {
        return this.skdRepayDate;
    }

    public void setSkdRepayDate(String skdRepayDate) {
        this.skdRepayDate = skdRepayDate;
    }

    public String getSkdCenterBaDate() {
        return this.skdCenterBaDate;
    }

    public void setSkdCenterBaDate(String skdCenterBaDate) {
        this.skdCenterBaDate = skdCenterBaDate;
    }

    public String getSkdLoanNo() {
        return this.skdLoanNo;
    }

    public void setSkdLoanNo(String skdLoanNo) {
        this.skdLoanNo = skdLoanNo;
    }

    public String getSkdRemark() {
        return this.skdRemark;
    }

    public void setSkdRemark(String skdRemark) {
        this.skdRemark = skdRemark;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.skdBsnsCorName = (String) input.get("skdBsnsCorName");
            this.skdBsnsOrgcode = (String) input.get("skdBsnsOrgcode");
            this.skdContactName = (String) input.get("skdContactName");
            this.skdLoanProcess = (String) input.get("skdLoanProcess");
            this.skdType = (String) input.get("skdType");
            this.skdLoanBranch = (String) input.get("skdLoanBranch");
            this.skdApplyAmt = (String) input.get("skdApplyAmt");
            this.skdAproBaAmt = (String) input.get("skdAproBaAmt");
            this.skdLoanAmt = (String) input.get("skdLoanAmt");
            this.skdLoanDate = (String) input.get("skdLoanDate");
            this.skdRepayDate = (String) input.get("skdRepayDate");
            this.skdCenterBaDate = (String) input.get("skdCenterBaDate");
            this.skdLoanNo = (String) input.get("skdLoanNo");
            this.skdRemark = (String) input.get("skdRemark");
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put("skdBsnsCorName", this.skdBsnsCorName);
        result.put("skdBsnsOrgcode", this.skdBsnsOrgcode);
        result.put("skdContactName", this.skdContactName);
        result.put("skdLoanProcess", this.skdLoanProcess);
        result.put("skdType", this.skdType);
        result.put("skdLoanBranch", this.skdLoanBranch);
        result.put("skdApplyAmt", this.skdApplyAmt);
        result.put("skdAproBaAmt", this.skdAproBaAmt);
        result.put("skdLoanAmt", this.skdLoanAmt);
        result.put("skdLoanDate", this.skdLoanDate);
        result.put("skdRepayDate", this.skdRepayDate);
        result.put("skdCenterBaDate", this.skdCenterBaDate);
        result.put("skdLoanNo", this.skdLoanNo);
        result.put("skdRemark", this.skdRemark);
        return result;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return null;
    }

    public String toString() {
        return "SkdFileInfo [skdBsnsCorName=" + this.skdBsnsCorName + ", skdBsnsOrgcode=" + this.skdBsnsOrgcode + ", skdContactName=" + this.skdContactName + ", skdLoanProcess=" + this.skdLoanProcess + ", skdType=" + this.skdType + ", skdLoanBranch=" + this.skdLoanBranch + ", skdApplyAmt=" + this.skdApplyAmt + ", skdAproBaAmt=" + this.skdAproBaAmt + ", skdLoanAmt=" + this.skdLoanAmt + ", skdLoanDate=" + this.skdLoanDate + ", skdRepayDate=" + this.skdRepayDate + ", skdCenterBaDate=" + this.skdCenterBaDate + ", skdLoanNo=" + this.skdLoanNo + "]";
    }
}
